Bug 21267 - X_FORWARDED_PROTO header should be set in apache
Summary: X_FORWARDED_PROTO header should be set in apache
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-24 13:39 UTC by Tomás Cohen Arazi
Modified: 2018-09-24 09:25 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21267: Set X-FORWARDED-PROTO https if required (1.77 KB, patch)
2018-08-24 13:48 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 21267: Set X-FORWARDED-PROTO https if required (1.81 KB, patch)
2018-08-24 14:42 UTC, Ulrich Kleiber
Details | Diff | Splinter Review
Bug 21267: Set X-FORWARDED-PROTO https if required (2.04 KB, patch)
2018-08-31 06:40 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2018-08-24 13:39:49 UTC
Bug 19799 highlighted a bad behaviour from our integration with apache on the packages.
Comment 1 Tomás Cohen Arazi 2018-08-24 13:48:05 UTC
Created attachment 78132 [details] [review]
Bug 21267: Set X-FORWARDED-PROTO https if required

This patch makes the apache configuration for the reverse proxy
(required for Plack) so it sets the X-FORWARDED-PROTO header correctly
for Plack::Middleware::ReverseProxy to use it.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Ulrich Kleiber 2018-08-24 14:42:22 UTC
Created attachment 78133 [details] [review]
Bug 21267: Set X-FORWARDED-PROTO https if required

This patch makes the apache configuration for the reverse proxy
(required for Plack) so it sets the X-FORWARDED-PROTO header correctly
for Plack::Middleware::ReverseProxy to use it.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Ulrich Kleiber <ulrich.kleiber@bsz-bw.de>
Comment 3 Marcel de Rooy 2018-08-31 06:06:42 UTC
QA: Looking here now
Comment 4 Marcel de Rooy 2018-08-31 06:40:29 UTC
Created attachment 78321 [details] [review]
Bug 21267: Set X-FORWARDED-PROTO https if required

This patch makes the apache configuration for the reverse proxy
(required for Plack) so it sets the X-FORWARDED-PROTO header correctly
for Plack::Middleware::ReverseProxy to use it.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Ulrich Kleiber <ulrich.kleiber@bsz-bw.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Since we actually resolve 19799 now (Changing language on OPAC redirects
back to homepage), I will move that code to a new enh report.
Comment 5 Nick Clemens 2018-08-31 12:57:39 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-09-05 14:44:09 UTC
Pushed to 18.05.x for 18.05.04
Comment 7 Fridolin SOMERS 2018-09-24 09:25:05 UTC
Pushed to 17.11.x for 17.11.10